%global modulename object.entries

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-object.entries
Version:        1.0.4
Release:        1%{?dist}
Summary:        ES2017 spec-compliant Object.entries shim.

License:        MIT
URL:            https://github.com/es-shims/Object.entries#readme
Source0:        https://registry.npmjs.org/object.entries/-/object.entries-1.0.4.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(define-properties) >= 1.1.2 with npmlib(define-properties) < 2.0.0))
BuildRequires:  ((npmlib(es-abstract) >= 1.6.1 with npmlib(es-abstract) < 2.0.0))
BuildRequires:  ((npmlib(has) >= 1.0.1 with npmlib(has) < 2.0.0))
BuildRequires:  ((npmlib(function-bind) >= 1.1.0 with npmlib(function-bind) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
ES2017 spec-compliant Object.entries shim.

%package 1.0.4
Summary:        ES2017 spec-compliant Object.entries shim.


%description 1.0.4
ES2017 spec-compliant Object.entries shim.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jscs.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr implementation.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr polyfill.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr shim.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test.html %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.4
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 20 2018 npm2srpm <dshea@redhat.com> - 1.0.4-1
- Package automatically generated by npm2srpm
